Gecode::Search::EdgeTraceRecorder Class Reference

Recorder for a search tracer with edge information. More...

`#include <trace-recorder.hpp>`

## Public Member Functions

| EdgeTraceRecorder (SearchTracer *t)
| Initialize.
void | invalidate (void)
| Invalidate edge information.
SearchTracer::EdgeInfo * | ei (void)
| Provide access to edge information.
Public Member Functions inherited from Gecode::Search::TraceRecorder
| TraceRecorder (SearchTracer *t)
| Initialize.
void | engine (SearchTracer::EngineType t, unsigned int n)
| Register engine.
void | worker (void)
| Register worker.
unsigned int | nid (void)
| Generate new node id.
unsigned int | wid (void) const
| Return worker id.
void | round (void)
| The workers goes to a next round (restart or next iteration in LDS).
void | skip (const SearchTracer::EdgeInfo &ei)
| The engine skips an edge.
void | node (const SearchTracer::EdgeInfo &ei, const SearchTracer::NodeInfo &ni)
| The engine creates a new node with information ei and ni.
void | done (void)
| The worker is done.
| operator bool (void) const
| Whether this is a real tracer.

## Protected Attributes

SearchTracer::EdgeInfo | _ei
| Edge information.
Protected Attributes inherited from Gecode::Search::TraceRecorder
SearchTracer & | tracer
| The actual tracer.
unsigned int | _eid
| The engine id.
unsigned int | _wid
| The worker id.
unsigned int | _nid
| The next free node id.

## Detailed Description

Recorder for a search tracer with edge information.

Definition at line 93 of file trace-recorder.hpp.

## Constructor & Destructor Documentation

## EdgeTraceRecorder()

Gecode::Search::EdgeTraceRecorder::EdgeTraceRecorder | ( | SearchTracer * | t | ) |

inline

Initialize.

Definition at line 229 of file trace-recorder.hpp.

## Member Function Documentation

## invalidate()

void Gecode::Search::EdgeTraceRecorder::invalidate | ( | void |  | ) |

inline

Invalidate edge information.

Definition at line 233 of file trace-recorder.hpp.

## ei()

SearchTracer::EdgeInfo * Gecode::Search::EdgeTraceRecorder::ei | ( | void |  | ) |

inline

Provide access to edge information.

Definition at line 238 of file trace-recorder.hpp.

## Member Data Documentation

## _ei

SearchTracer::EdgeInfo Gecode::Search::EdgeTraceRecorder::_ei

protected

Edge information.

Definition at line 96 of file trace-recorder.hpp.

The documentation for this class was generated from the following file:

- gecode/search/trace-recorder.hpp